package merchant

type GetListByIdReq struct {
	Id int64 `json:"id" validate:"required" example:"1"`
}

type GetListByIdResp struct {
	Id              int64   `json:"id"  example:"1"`
	Name            string  `json:"name" example:"snow"`
	Price           float64 `json:"price" example:"100"`
	ProductUrl      string  `json:"product_url" example:"http://www.baidu.com"`
	Status          int64   `json:"status" example:"1"`
	CreatedAt       string  `json:"created_at" example:"2020-01-01 00:00:00"`
	Type            int64   `json:"type" example:"1"`
	ExtendParameter string  `json:"extend_parameter" example:"{}"`
	QueueNo         int64   `json:"queue_no" example:"1"`
	Spec            string  `json:"spec" example:"{}"`
}

type SearcgReq struct {
	Id        int64    `json:"id"`
	Name      string   `json:"name"`
	CreatedAt []string `json:"created_at" form:"created_at"`
	PageNum   int      `json:"page_num" form:"page" validate:"required"`
	PageSize  int      `json:"page_size" form:"page_size" validate:"required"`
}

type SearchResp struct {
	Id              int64   `json:"id"  example:"1"`
	Name            string  `json:"name" example:"snow"`
	Price           float64 `json:"price" example:"100"`
	ProductUrl      string  `json:"product_url" example:"http://www.baidu.com"`
	Status          int64   `json:"status" example:"1"`
	CreatedAt       string  `json:"created_at" example:"2020-01-01 00:00:00"`
	Type            int64   `json:"type" example:"1"`
	ExtendParameter string  `json:"extend_parameter" example:"{}"`
	QueueNo         int64   `json:"queue_no" example:"1"`
	Spec            string  `json:"spec" example:"{}"`
}

type CreateReq struct {
	Name            string  `json:"name" validate:"required"`
	Price           float64 `json:"price" validate:"required"`
	ProductUrl      string  `json:"product_url"`
	Type            int64   `json:"type" validate:"required"`
	ExtendParameter string  `json:"extend_parameter"`
	QueueNo         int64   `json:"queue_no" example:"1"`
	Spec            string  `json:"spec" example:"{}"`
}

type CreateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type UpdateReq struct {
	Id              int64   `json:"id" validate:"required"`
	Name            string  `json:"name" `
	Price           float64 `json:"price" `
	ProductUrl      string  `json:"product_url" `
	Type            int64   `json:"type" `
	ExtendParameter string  `json:"extend_parameter"`
	QueueNo         int64   `json:"queue_no" example:"1"`
	Spec            string  `json:"spec" example:"{}"`
}

type UpdateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type DeleteReq struct {
	Id int64 `json:"id" validate:"required"`
}

type DeleteResp struct {
	Id int64 `json:"id"  example:"1"`
}
